Apache Tomcat 7.0.42

## org.apache.el.lang
Class VariableMapperFactory

    java.lang.Object
      javax.el.VariableMapper
          org.apache.el.lang.VariableMapperFactory

    public class VariableMapperFactory

extends VariableMapper

Constructor Summary
`VariableMapperFactory(VariableMapper target)`

Method Summary
`VariableMapper` `create()`
`ValueExpression` `resolveVariable(String variable)`
`ValueExpression` `setVariable(String variable, ValueExpression expression)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableMapperFactory

    public VariableMapperFactory(VariableMapper target)

Method Detail

### create

    public VariableMapper create()

### resolveVariable

    public ValueExpression resolveVariable(String variable)

  Specified by:
    `resolveVariable` in class `VariableMapper`

### setVariable

    public ValueExpression setVariable(String variable,
                                       ValueExpression expression)

  Specified by:
    `setVariable` in class `VariableMapper`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.